Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.attachments
Class DimeTypeNameFormat

    java.lang.Object
      org.apache.axis.attachments.DimeTypeNameFormat

public final class DimeTypeNameFormat
extends java.lang.Object

This class is a single part for DIME mulitpart message.

Field Summary
`static DimeTypeNameFormat` | `MIME`
`static DimeTypeNameFormat` | `UNKNOWN`
`static DimeTypeNameFormat` | `URI`

Method Summary
`boolean` | `equals(java.lang.Object x)`
`int` | `hashCode()`
`static DimeTypeNameFormat` | `parseByte(byte x)`
`static DimeTypeNameFormat` | `parseByte(java.lang.Byte x)`
`byte` | `toByte()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### MIME

    public static final DimeTypeNameFormat MIME

### URI

    public static final DimeTypeNameFormat URI

### UNKNOWN

    public static final DimeTypeNameFormat UNKNOWN

Method Detail

### toString

    public final java.lang.String toString()

### toByte

    public final byte toByte()

### hashCode

    public int hashCode()

### equals

    public final boolean equals(java.lang.Object x)

### parseByte

    public static DimeTypeNameFormat parseByte(byte x)

### parseByte

    public static DimeTypeNameFormat parseByte(java.lang.Byte x)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.